---
kind: pipeline
type: docker
name: Deploy

steps:
  - name: build
    image: nikola:0.0.1
    volumes:
      - name: blog-path
        path: /drone/src/output/
    environment:
      UID:
        from_secret: uid
      GID:
        from_secret: gid
    commands:
      - nikola build
      - chown -R "$UID":"$GID" output/*

volumes:
  - name: blog-path
    host:
      path: /mnt/blog/

